Package twisted :: Package lore :: Module texi :: Class TexiSpitter

[frames | no frames]

## Class TexiSpitter

    BaseLatexSpitter --+
                       |
                      TexiSpitter

Method Summary
| `visitNode_a_href(self, node)`
| `visitNode_a_listing(self, node)`
| `visitNode_a_name(self, node)`
| `visitNode_code(self, node)`
| `visitNode_h2(self, node)`
| `visitNode_h3(self, node)`
| `visitNode_h4(self, node)`
| `visitNode_pre(self, node)`
| `visitNode_title(self, node)`
| `visitNodeHeader(self, node)`
| `writeNodeData(self, node)`
Inherited from BaseLatexSpitter
| ``__init__`(self, writer, currDir, filename)`
| ``visitNode`(self, node)`
| ``visitNode_a`(self, node)`
| ``visitNode_div`(self, node)`
| ``visitNode_h1`(self, node)`
| ``visitNode_span`(self, node)`
| ``visitNode_style`(self, node)`
| ``visitNodeDefault`(self, node)`

Class Variable Summary
`int` | `baseLevel` = 1
`str` | `end_dd` = `'\n'`
`str` | `end_div_note` = `'@end quotation\n'`
`str` | `end_dl` = `'@end itemize\n'`
`str` | `end_dt` = `': '`
`str` | `end_em` = `'}'`
`str` | `end_li` = `'\n'`
`str` | `end_ol` = `'@end enumerate\n'`
`str` | `end_q` = `"''"`
`str` | `end_span_footnote` = `'}'`
`str` | `end_strong` = `'}'`
`str` | `end_th` = `'}'`
`str` | `end_ul` = `'@end itemize\n'`
`str` | `start_div_note` = `'@quotation\n@strong{Note:}'`
`str` | `start_dl` = `'@itemize\n'`
`str` | `start_dt` = `'@item\n'`
`str` | `start_em` = `'@emph{'`
`str` | `start_li` = `'@item\n'`
`str` | `start_ol` = `'@enumerate\n'`
`str` | `start_p` = `'\n\n'`
`str` | `start_q` = `'``'`
`str` | `start_span_footnote` = `'@footnote{'`
`str` | `start_strong` = `'@emph{'`
`str` | `start_th` = `'@strong{'`
`str` | `start_ul` = `'@itemize\n'`

Class Variable Details

### baseLevel

  Type:
    `int`
  Value:

        1

### end_dd

  Type:
    `str`
  Value:

        '''
        '''

### end_div_note

  Type:
    `str`
  Value:

        '''@end quotation
        '''

### end_dl

  Type:
    `str`
  Value:

        '''@end itemize
        '''

### end_dt

  Type:
    `str`
  Value:

        ': '

### end_em

  Type:
    `str`
  Value:

        '}'

### end_li

  Type:
    `str`
  Value:

        '''
        '''

### end_ol

  Type:
    `str`
  Value:

        '''@end enumerate
        '''

### end_q

  Type:
    `str`
  Value:

        "''"

### end_span_footnote

  Type:
    `str`
  Value:

        '}'

### end_strong

  Type:
    `str`
  Value:

        '}'

### end_th

  Type:
    `str`
  Value:

        '}'

### end_ul

  Type:
    `str`
  Value:

        '''@end itemize
        '''

### start_div_note

  Type:
    `str`
  Value:

        '''@quotation
        @strong{Note:}'''

### start_dl

  Type:
    `str`
  Value:

        '''@itemize
        '''

### start_dt

  Type:
    `str`
  Value:

        '''@item
        '''

### start_em

  Type:
    `str`
  Value:

        '@emph{'

### start_li

  Type:
    `str`
  Value:

        '''@item
        '''

### start_ol

  Type:
    `str`
  Value:

        '''@enumerate
        '''

### start_p

  Type:
    `str`
  Value:

        '''

        '''

### start_q

  Type:
    `str`
  Value:

        '``'

### start_span_footnote

  Type:
    `str`
  Value:

        '@footnote{'

### start_strong

  Type:
    `str`
  Value:

        '@emph{'

### start_th

  Type:
    `str`
  Value:

        '@strong{'

### start_ul

  Type:
    `str`
  Value:

        '''@itemize
        '''

Generated by Epydoc 2.0 on Sat May 15 20:08:45 2004 | http://epydoc.sf.net